<?php
/**
 * The template for displaying the footer.
 *
 * Contains the closing of the #content div and all content after.
 *
 * @link https://developer.wordpress.org/themes/basics/template-files/#template-partials
 *
 * @package LZ Fitness Premium
 */

?>

	<footer id="ht-colophon" class="ht-site-footer">
		<?php if(is_active_sidebar('lz-fitness-footer1') || is_active_sidebar('lz-fitness-footer2') || is_active_sidebar('lz-fitness-footer3') || is_active_sidebar('lz-fitness-footer4')){ ?>
		<div id="ht-top-footer">
			<div class="container">
				<div class="ht-top-footer ht-clearfix">
					<div class="ht-footer ht-footer1">
						<?php if(is_active_sidebar('lz-fitness-footer1')): 
							dynamic_sidebar('lz-fitness-footer1');
						endif;
						?>	
					</div>

					<div class="ht-footer ht-footer2">
						<?php if(is_active_sidebar('lz-fitness-footer2')): 
							dynamic_sidebar('lz-fitness-footer2');
						endif;
						?>	
					</div>

					<div class="ht-footer ht-footer3">
						<?php if(is_active_sidebar('lz-fitness-footer3')): 
							dynamic_sidebar('lz-fitness-footer3');
						endif;
						?>	
					</div>

					<div class="ht-footer ht-footer4">
						<?php if(is_active_sidebar('lz-fitness-footer4')): 
							dynamic_sidebar('lz-fitness-footer4');
						endif;
						?>	
					</div>
					<div class="clearfix"></div>
				</div>
			</div>
		</div>
		<?php } ?>

		<div id="ht-bottom-footer">
				<?php 
		// Prevent direct access
		if ( ! defined( 'ABSPATH' ) ) {
			exit; // Exit if accessed directly
		}

		$footercopyright = '';
		if (function_exists('custom_theme_copyright')) {
			$footercopyright = custom_theme_copyright();
		}
 
	?>
			<div class="ht-container">
				<?php if($footercopyright){ ?>
					<div class="ht-site-info">
					<!-- 	<?php //lz_fitness_lite_copyrights_credit();?> -->
						<span><?php echo $footercopyright;?></span>
					</div><!-- #site-info -->
				<?php } ?>
			</div>
		</div>
	</footer><!-- #colophon -->
	<script type="text/javascript">
		if(jQuery(window).width() >= 1170){
		  new WOW().init();
		}
	</script>
<?php wp_footer(); ?>

</body>
</html>
