<?php
/**
 * @package LZ Fitness Premium
 */

function total_dymanic_styles(){
    global $post;
	$primColor = get_theme_mod( 'lz_fitness_template_color', '#ffcc00' );
	// $color_rgba = total_hex2rgba($color, 0.9);
	// echo 'light color: '.
	// $color_rgba = lz_fitness_hex2rgba($primColor, 0.9);
	$color_rgba = totalColourBrightness($primColor, 0.3);
	// echo '<br>Dark color: '.
	$darker_color = totalColourBrightness($primColor, -0.5);
 
	$header_image = get_header_image();
    // DYNAMIC FONTS
    // echo '<br> heading font '.
	$headeingFontRow = get_theme_mod('lz_fitness_general_headeing_font', '9');
    // echo '<br> text font '.
	$textFontRow = get_theme_mod('lz_fitness_general_text_font', '1');
    $header = get_theme_mod('header_textcolor', '#666666'); //header color
    $headingFont = getFonts(false, (int)$headeingFontRow);
    $textFont = getFonts(false, (int)$textFontRow);
    $custom_css = '';
    $custom_css = " body, * {font-family: $textFont;}
    h2.lz-about-heading, h2.lz-facility-heading, .ht-section-title, .lz-fitness-h2, .ht-title-wrap, .ht-slide-cap-title, .ht-slide-cap-title span, #ht-princing-post-section .ht-princing-icon,h1, h2, h3, h4, h5, h6,#pricing-page .ht-princing-icon .ht-slide-cap-descmore a{font-family: $headingFont; }
        header.site-header .main-header, 
        .navigation.menuopen { background: #FFF url('$header_image'); background-repeat: no-repeat; background-size: cover;}
        #ht-masthead, .ht-site-description a, .page-template-home-template .ht-main-navigation .menu-item > a, .ht-main-navigation a, .ht-main-navigation ul ul a {color: #{$header};}
    li.current_page_item > a {color: #ffffff;}
    ";

    $custom_css .= "
    button,
    input[type='button'],
    input[type='reset'],
    input[type='submit'],
    .widget-area .widget-title:after,
    h3#reply-title:after,
    h3.comments-title:after,
    .nav-previous a,
    .nav-next a,
    .pagination .page-numbers,    
    .ht-progress-bar-length,


    .ht-service-post-wrap:after,
    .ht-service-icon,
    .ht-counter:after,
    .ht-counter:before,
    .ht-testimonial-wrap .bx-wrapper .bx-controls-direction a,
    .ht-cta-buttons a.ht-cta-button1,
    .ht-cta-buttons a.ht-cta-button2:hover,
	#ht-back-top:hover,
    .entry-readmore a,
    .woocommerce #respond input#submit, 
    .woocommerce a.button, 
    .woocommerce button.button, 
    .woocommerce input.button,
    .woocommerce ul.products li.product:hover .button,
    .woocommerce #respond input#submit.alt, 
    .woocommerce a.button.alt, 
    .woocommerce button.button.alt, 
    .woocommerce input.button.alt,
    .woocommerce nav.woocommerce-pagination ul li a, 
    .woocommerce nav.woocommerce-pagination ul li span,
    .woocommerce span.onsale,
    .woocommerce div.product .woocommerce-tabs ul.tabs li.active,
    .woocommerce #respond input#submit.disabled, 
    .woocommerce #respond input#submit:disabled, 
    .woocommerce #respond input#submit:disabled[disabled], 
    .woocommerce a.button.disabled, .woocommerce a.button:disabled, 
    .woocommerce a.button:disabled[disabled], 
    .woocommerce button.button.disabled, 
    .woocommerce button.button:disabled, 
    .woocommerce button.button:disabled[disabled], 
    .woocommerce input.button.disabled, 
    .woocommerce input.button:disabled, 
    .woocommerce input.button:disabled[disabled],
    .woocommerce #respond input#submit.alt.disabled, 
    .woocommerce #respond input#submit.alt.disabled:hover, 
    .woocommerce #respond input#submit.alt:disabled, 
    .woocommerce #respond input#submit.alt:disabled:hover, 
    .woocommerce #respond input#submit.alt:disabled[disabled], 
    .woocommerce #respond input#submit.alt:disabled[disabled]:hover, 
    .woocommerce a.button.alt.disabled, 
    .woocommerce a.button.alt.disabled:hover, 
    .woocommerce a.button.alt:disabled, 
    .woocommerce a.button.alt:disabled:hover, 
    .woocommerce a.button.alt:disabled[disabled], 
    .woocommerce a.button.alt:disabled[disabled]:hover, 
    .woocommerce button.button.alt.disabled, 
    .woocommerce button.button.alt.disabled:hover, 
    .woocommerce button.button.alt:disabled, 
    .woocommerce button.button.alt:disabled:hover, 
    .woocommerce button.button.alt:disabled[disabled], 
    .woocommerce button.button.alt:disabled[disabled]:hover, 
    .woocommerce input.button.alt.disabled, 
    .woocommerce input.button.alt.disabled:hover, 
    .woocommerce input.button.alt:disabled, 
    .woocommerce input.button.alt:disabled:hover, 
    .woocommerce input.button.alt:disabled[disabled], 
    .woocommerce input.button.alt:disabled[disabled]:hover,
    .woocommerce .widget_price_filter .ui-slider .ui-slider-range,
    .woocommerce-MyAccount-navigation-link a, 
    #pricing-page .ht-plan-block:hover .ht-princing-link a,      
    .readmore a,
    #ht-contactus-wrap .contact-page-form,
    .contact-mapbox iframe,
    #content-box ol li:before,
	.ht-slide-cap-descmore a,
	.days-time-day,
    .lz-facility-text ul li i,
    .facility-icon,
    .post-right .blog-read-more a,
    #blog-box .blog-read-more a,
    .pagingation .current,
    .pagingation a:hover,
    .woocommerce ul.products li.product .button,
    #pricing-page .ht-plan-block:hover .plan-amount:before,
    #pricing-page .ht-plan-block:hover .plan-amount:after,
    .faq h6:after,
    #quote-carousel .carousel-control:hover,
    #services-post-section .services-post:hover .services-readmore a,
    .header.site-header ul.sub-menu li:hover

    {
    	background:{$primColor};
    }

    
    .ht-post-info .entry-date span.ht-day,
    .entry-categories .fa,
    .widget-area a:hover,
    .comment-list a:hover,
    .no-comments,
    .ht-site-title a,
    .woocommerce .woocommerce-breadcrumb a:hover,
	#total-breadcrumbs a:hover,
    .ht-featured-link a,
    .ht-portfolio-cat-name-list .fa,
    .ht-portfolio-cat-name:hover, 
    .ht-portfolio-cat-name.active,
    .ht-portfolio-caption a,
    .ht-team-detail,
    .ht-counter-icon,
    .woocommerce ul.products li.product .price,
    .woocommerce div.product p.price, 
    .woocommerce div.product span.price,
    .woocommerce .product_meta a:hover,
    .woocommerce-error:before, 
    .woocommerce-info:before, 
    .woocommerce-message:before,
	.featured-post:after,
	.featured-post:before,
	.featured-link a,
    .breadcrumbbox a,
    #ht-colophon .social-profile-icons a:hover,
    footer#ht-colophon ul li a:hover,
    .ht-footer .textwidget .fa,
    h6.secondry-text,
    #ht-about-us-section ul li:before,
    #innerpage-box .team-member-designation,
    .pluses.text-right i.fa.fa-plus,
    .ht-section-tagline.lz-newslatter-text b,
    #content-box ul li:before,
    .offtimebox h4.offtime-text,
    h1.ht-site-title a,
    header.site-header .header-right-box i,
    .header-right-box .mailto a:hover,
    header.site-header li.current_page_item a,
    nav#ht-site-navigation ul li a:hover,
    header.site-header .header-social-links a:hover,
    #featured-post-section .featured-icon span:hover,
    .ht-slide-cap-title span,
    .ht-team-social-id a:hover,
    .contact-sm-links li a:hover,
    .entry-footer span a,
    .star-rating,
    a.woocommerce-review-link,
    .socialMedia a:hover,
    .woocommerce p.stars a,
    .logged-in-as a,
    .comment-metadata span a,
    .commentmetadata p a,
    .commentmetadata span a,
	.lz-fitness-time div:nth-child(8) div.days-time-day,
     .ht-main-navigation li.current_page_item a, 
     nav#ht-site-navigation ul li a:hover,
     ul.mainmenu li a:hover

	
	{
    	color:{$primColor};
    }

    .ht-main-navigation ul ul,
    .ht-featured-link a,
    .ht-counter,
    .ht-testimonial-wrap .bx-wrapper img,
    .ht-blog-post,
	#ht-colophon,
    .woocommerce ul.products li.product:hover, 
    .woocommerce-page ul.products li.product:hover,
    .woocommerce #respond input#submit, 
    .woocommerce a.button, 
    .woocommerce button.button, 
    .woocommerce input.button,
    .woocommerce ul.products li.product:hover .button,
    .woocommerce #respond input#submit.alt, 
    .woocommerce a.button.alt, 
    .woocommerce button.button.alt, 
    .woocommerce input.button.alt,
    .woocommerce div.product .woocommerce-tabs ul.tabs,
    .woocommerce #respond input#submit.alt.disabled, 
    .woocommerce #respond input#submit.alt.disabled:hover, 
    .woocommerce #respond input#submit.alt:disabled, 
    .woocommerce #respond input#submit.alt:disabled:hover, 
    .woocommerce #respond input#submit.alt:disabled[disabled], 
    .woocommerce #respond input#submit.alt:disabled[disabled]:hover, 
    .woocommerce a.button.alt.disabled, 
    .woocommerce a.button.alt.disabled:hover, 
    .woocommerce a.button.alt:disabled, 
    .woocommerce a.button.alt:disabled:hover, 
    .woocommerce a.button.alt:disabled[disabled], 
    .woocommerce a.button.alt:disabled[disabled]:hover, 
    .woocommerce button.button.alt.disabled, 
    .woocommerce button.button.alt.disabled:hover, 
    .woocommerce button.button.alt:disabled, 
    .woocommerce button.button.alt:disabled:hover, 
    .woocommerce button.button.alt:disabled[disabled], 
    .woocommerce button.button.alt:disabled[disabled]:hover, 
    .woocommerce input.button.alt.disabled, 
    .woocommerce input.button.alt.disabled:hover, 
    .woocommerce input.button.alt:disabled, 
    .woocommerce input.button.alt:disabled:hover, 
    .woocommerce input.button.alt:disabled[disabled], 
    .woocommerce input.button.alt:disabled[disabled]:hover,
    .woocommerce .widget_price_filter .ui-slider .ui-slider-handle
	.ht-main-navigation .current_page_item > a,
    .ht-main-navigation .current-menu-item > a,
    .ht-main-navigation .current_page_ancestor > a,
	.ht-main-navigation li:hover > a,
    .page-template-home-template .ht-main-navigation li:hover > a,
    .home.blog .ht-main-navigation li:hover > a,
    .page-template-home-template .ht-main-navigation .current > a,
    .home.blog .ht-main-navigation .current > a,
	.featured-post:before,
    #blog-box .blog-read-more a,
    #ht-masthead .header-social-links a:hover,
    .contact-sm-links li:hover,
    .woocommerce ul.products li.product .button,
    #innerpage-box .testimonial-contentbox:hover .test-thumb img,
    .newsletter-form-box input[type='email'],
    ul.sub-menu
    {
    	border-color: {$primColor};
    }

	#ht-masthead,
    .woocommerce-error, 
    .woocommerce-info, 
    .woocommerce-message,
    ul.sub-menu{
    	border-top-color: {$primColor} !important;
    }

    .nav-next a:after{
    	border-left-color: {$primColor};
    }

    .nav-previous a:after{
    	border-right-color: {$primColor};
    }

    .ht-active .ht-service-icon{
    	box-shadow: 0px 0px 0px 2px #FFF, 0px 0px 0px 4px {$primColor};
    }

    .woocommerce ul.products li.product .onsale:after{
    	border-color: transparent transparent {$darker_color} {$darker_color};
    }

    .woocommerce span.onsale:after{
    	border-color: transparent {$darker_color} {$darker_color} transparent
    }


    @media screen and (max-width: 1000px){
    	.toggle-bar,
    	.ht-main-navigation .ht-menu{
    		background:{$primColor}
    	}
    }";
	
	
    // heading text colour 
    $headingColor = get_theme_mod('lz_fitness_title_color', '#fe5722');
    $custom_css .= '.title-color{color:'.$headingColor.';}';

	// START SECONDARY COLOR CSS
    $secondary = get_theme_mod('theme_secondary_color', '#ffffff');
    $custom_css .='
   .secondry-bg{
       // background-color:'.$secondary.'
    }	 
	 
	 
	 {border-color: '.$secondary.';}
 
	#ht-newslatter-section .lz-newslatter-heading,
	
	 {color:'.$secondary.';}	 
 
	 
	 {border-color: '.$secondary.';}
	 
	
	 {background-color:'.$secondary.'}
		';
    // ENDS SECONDARY COLOR CSS
	
    if(get_theme_mod('lz_fitness_premium_featured_section_background') == 'on' ){
    	$custom_css .= '#featured-post-section {background-image: url(\''.get_theme_mod('lz_fitness_featured_bg_image').'\');background-position: top;background-size: cover;}';
    }else{
    	$color = get_theme_mod('lz_fitness_featured_bg_color', '#ffffff');
    	if('#ffffff' != $color){
    		$custom_css .= '#featured-post-section, .ht-featured-icon {background-color: '.$color.';}
    		.ht-featured-link a {border-color: '.$color.';color: '.$color.';}
             #featured-post-section, .ht-featured-icon{}
    		';
    	}else{
    		$custom_css .= '#featured-post-section {background-color: '.$color.';color:#666;}';
    	}
    }
    
    // Services section 
    if(get_theme_mod('lz_fitness_premium_services_section_background','off') == 'on' ){
        
        $bgimg = get_theme_mod('lz_fitness_services_bg_image');
        $img = !empty($bgimg)?$bgimg:get_template_directory_uri().'/images/default-gray.jpg';
        
        $custom_css .= '#services-post-section {background-image: url("'.$img.'");background-position: top;background-size: cover;}'; 
    }else{
        $color = get_theme_mod('lz_fitness_services_bg_color', '#f5f6f6');
        if('#f5f6f6' != $color){
            $custom_css .= '#services-post-section {background-color: '.$color.';}';
        }
    } 

    //facility-section
    if(get_theme_mod('lz_fitness_premium_facility_section_background','off') == 'on' ){
        
        $bgimg = get_theme_mod('lz_fitness_facility_bg_image');
        $img = !empty($bgimg)?$bgimg:get_template_directory_uri().'/images/default-gray.jpg';
        
        $custom_css .= '#facility-content-section {background-image: url("'.$img.'");background-position: top;background-size: cover;}'; 
    }else{
        $color = get_theme_mod('lz_fitness_facility_bg_color', '#f6f6f6');
        if('#f6f6f6' != $color){
            $custom_css .= '#facility-content-section {background-color: '.$color.';}';
        }
    } 

    // gym 
    if(get_theme_mod('lz_fitness_premium_gym_section_background') == 'on' ){
        
        $bgimg = get_theme_mod('lz_fitness_gym_bg_image');
        $img = !empty($bgimg)?$bgimg:get_template_directory_uri().'/images/default-gray.png';
        
        $custom_css .= '#time-address-section {background-image: url("'.$img.'");background-position: top;background-size: cover;}';
    }else{
        $color = get_theme_mod('lz_fitness_gym_bg_color', '#ffffff');
        if('#ffffff' != $color){
            $custom_css .= '#time-address-section {background-color: '.$color.';} .time-post{border-color:'.$color.';}';
        }
    }
    
    // newsletter
     if(get_theme_mod('lz_fitness_premium_newslatter_section_background','off') == 'on' ){
        
        $bgimg = get_theme_mod('lz_fitness_newslatter_bg_image');
        $img = !empty($bgimg)?$bgimg:get_template_directory_uri().'/images/default-gray.jpg';
        
        $custom_css .= '#ht-newslatter-section {background-image: url("'.$img.'");background-position: top;background-size: cover;}'; 
    }else{
        $color = get_theme_mod('lz_fitness_newslatter_bg_color', '#f6f6f6');
        if('#f6f6f6' != $color){
            $custom_css .= '#ht-newslatter-section {background-color: '.$color.';}';
        }
    } 

 // main header background color
    //$HeaderHeadingColor = get_theme_mod('lz_fitness_header_backgroundColor', '#272727');
    $MHeaderbgColor = get_theme_mod('lz_fitness_header_TbackgroundColor', '#fff');
    $MHeaderborderColor = get_theme_mod('lz_fitness_header_borderColor', '#262626');

    $custom_css .= 'header.site-header .main-header,
    .navigation.menuopen{background-color: '.$MHeaderbgColor.';}
        header.site-header .main-header{border-color: '.$MHeaderborderColor.';}';

     //Inner page title color
    $innertitleColor = get_theme_mod('lz_fitness_template_innerpage_titlecolor', '#fff');
    $custom_css .= '.ht-main-title {color: '.$innertitleColor.';}';

   
    //Header Menu Color
     $headermenuColor = get_theme_mod('lz_fitness_headermenu_color', '#242424');
     $headersubmenuColor = get_theme_mod('lz_fitness_headersubmenu_color', '#fff');
     $headersubmenubgColor = get_theme_mod('lz_fitness_headersubmenubg_color', '#272727');
     $custom_css .= 'ul.mainmenu li a,
     .menu-click i{color: '.$headermenuColor.';}
     ul.mainmenu ul.sub-menu li a{color: '.$headersubmenuColor.';}
     ul.sub-menu{background-color: '.$headersubmenubgColor.';}';

    //Footer background color
    $footerbgColor = get_theme_mod('lz_fitness_footer_bg_color', '#2e2e2e');
    $footercopyrighttextColor = get_theme_mod('lz_fitness_footer_copyrighttext_color', '#AAA');
    $footercopyrightbgColor = get_theme_mod('lz_fitness_footer_copyrightbg_color', '#2a2a2a');
    $custom_css .= '#ht-top-footer {background-color: '.$footerbgColor.';}
    #ht-bottom-footer {color: '.$footercopyrighttextColor.';}
    #ht-bottom-footer {background-color: '.$footercopyrightbgColor.';}';

    // slider color
    $slidertitleColor = get_theme_mod('lz_fitness_slider_TitleColor', '#fff');
     $slidertitlehighlightColor = get_theme_mod('lz_fitness_slider_HighlightTitleColor', '#000');
    $slidersubtitleColor = get_theme_mod('lz_fitness_slider_SubtitleColor', '#1d1d1d');
    $sliderbuttontextColor = get_theme_mod('lz_fitness_slider_buttontextColor', '#fff');
    $sliderbtnbgColor = get_theme_mod('lz_fitness_slider_buttonbgColor', '#262626');
    $sliderbghighlightColor = get_theme_mod('lz_fitness_slider_bghighlightColor', '#ffcc2d');
    $custom_css .= '.ht-slide-cap-title {color: '.$slidertitleColor.';}
    .ht-slide-cap-title span{color: '.$slidertitlehighlightColor.';}
    .ht-slide-cap-desc {color: '.$slidersubtitleColor.';}
    .ht-slide-cap-descmore a {color: '.$sliderbuttontextColor.';}
    .ht-slide-cap-descmore a {background-color: '.$sliderbtnbgColor.';}
    .ht-slide-caption{background-color: '.$sliderbghighlightColor.';}';

    // Inner contact us page background color
    $ContactusdetailtitleColor = get_theme_mod('lz_fitness_contactus_detailtitleColor', '#444');
    $ContactusdetailinfoColor = get_theme_mod('lz_fitness_contactus_detailinfoColor', '#444');
    $ContactusdetailemailColor = get_theme_mod('lz_fitness_contactus_detailemailColor', '#ffcc00');
    $ContactusformtitleColor = get_theme_mod('lz_fitness_contactus_formtitleColor', '#fff');
    $ContactusformbgColor = get_theme_mod('lz_fitness_contactus_formbgColor', '#ffcc00');
    $ContactusformbtnColor = get_theme_mod('lz_fitness_contactus_formbtnColor', '#ffcc00');
    $ContactussocialtitleColor = get_theme_mod('lz_fitness_contactus_SocialtitleColor', '#303030');
    $ContactussocialColor = get_theme_mod('lz_fitness_contactus_SocialTitleColor', '#303030');
    $custom_css .= '.contact-page-address .ht-section-tagline, .contact-page-address .ht-section-tagline span {color: '.$ContactusdetailtitleColor.';}
    .contact-page-address .contact-info {color: '.$ContactusdetailinfoColor.';}
    .contact-page-address a {color: '.$ContactusdetailemailColor.';}
    #ht-contactus-wrap h4 {color: '.$ContactusformtitleColor.';}
    #ht-contactus-wrap .contact-page-form {background-color: '.$ContactusformbgColor.';}
    #ht-contactus-wrap input[type="submit"] {color: '.$ContactusformbtnColor.';}
    #ht-contactus-wrap h3 {color: '.$ContactussocialtitleColor.';}
    #ht-contactus-wrap .contact-sm-links li a {color: '.$ContactussocialColor.';}';

    // $aboutusHeadingColor = get_theme_mod('lz_fitness_aboutus_page_HeadingColor', $primColor);
    // if($primColor == $aboutusHeadingColor){
    //     $aboutusHeadingColor = $headingColor;
    // }

    // $aboutusTextColor = get_theme_mod('lz_fitness_aboutus_page_TextColor', '#333333');
    // $custom_css .= '.lz-about-heading{color: '.$aboutusHeadingColor.';} .lz-about-text{color: '.$aboutusTextColor.';}';

	//facility heading & text color
     $facilityHeadingColor = get_theme_mod('lz_fitness_facility_HeadingColor', '#2b2b2b');
        $facilityTextColor = get_theme_mod('lz_fitness_facility_TextColor', '#424242');
         $facilityTitleColor = get_theme_mod('lz_fitness_facility_TitleColor', '#2a2a2a');
          $facilityIconColor = get_theme_mod('lz_fitness_facility_IconColor', '#ffffff');

    $custom_css .= 'h2.ht-section-title.lz-facility-heading{color: '.$facilityHeadingColor.';} 
    .ht-section-tagline.lz-facility-text.feature-border, .facility-excerpt{color: '. $facilityTextColor.';} section#facility-content-section h5{color: '. $facilityTitleColor.';} #facility-content-section .facility-icon{color: '. $facilityIconColor.';}';



	// featured heading & text color
    $featuredMainHeadingColor = get_theme_mod('lz_fitness_featured_MainHeadingColor', '#1c1c1c');
   $featuredHeadingColor = get_theme_mod('lz_fitness_featured_HeadingColor', '#1c1c1c');
   $featuredbannerTextColor = get_theme_mod('lz_fitness_featured_bannerTextColor', '#353535');
   $featuredTextColor = get_theme_mod('lz_fitness_featured_FeaturedTextColor', '#353535');
    $featurediconColor = get_theme_mod('lz_fitness_featured_iconColor', '#262626');
    $custom_css .= '#featured-post-section .featured-post h5{color: '.$featuredHeadingColor.';}
    .upper-featured p {color: '.$featuredbannerTextColor.';}
    .featured-excerpt{color: '.$featuredTextColor.';}
    h2.ht-section-title.lz-featured-heading{color: '.$featuredMainHeadingColor.';}
    #featured-post-section .featured-icon span{color: '.$featurediconColor.';}';

    //services heading & text color
    $servicesHeadingColor = get_theme_mod('lz_services_HeadingColor', '#1c1c1c');
    $servicesTextColor = get_theme_mod('lz_services_TextColor', '#353535');
    $servicesTitleColor = get_theme_mod('lz_services_TitleColor', '#1c1c1c');
     $servicesbtntextColor = get_theme_mod('lz_services_btntextColor', '#fff');
    $servicesbtnbgColor = get_theme_mod('lz_services_btnbgColor', '#333333');
    //$servicesbtnborderColor = get_theme_mod('lz_services_btnborderColor', '#fff');
         
    $custom_css .= '.lz-services-Post-heading{color: '.$servicesHeadingColor.';} 
    .services-excerpt{color: '. $servicesTextColor.';} 
    #services-post-section .services-data h5{color: '. $servicesTitleColor.';}
    #services-post-section .services-readmore a{color: '. $servicesbtntextColor.';}
    #services-post-section .services-readmore a{background-color: '. $servicesbtnbgColor.';}';
    
	//gym heading & text color
    // timing and address section
     $timingHeadingColor = get_theme_mod('lz_fitness_gym_HeadingColor', '#323232');
     $timingTextColor = get_theme_mod('lz_fitness_gym_TextColor', '#232222');
    $custom_css .= '.lz-gym-heading{color: '.$timingHeadingColor.';} 
    .lz-fitness-time .days-time-day-time{color: '.$timingTextColor.';}';
    //


	//appointment heading & text color
$appointmentHeadingColor = get_theme_mod('lz_fitness_appointment_HeadingColor', '#ffffff'); 
$appointmentTextColor = get_theme_mod('lz_fitness_appointment_TextColor', '#ffffff'); 
$appointmentIconColor = get_theme_mod('lz_fitness_appointment_IconColor', '#ffcc00'); 
$appointmentsocialIconColor = get_theme_mod('lz_fitness_appointment_socialIconColor', '#fff');
$appointmentsocialIconborderColor = get_theme_mod('lz_fitness_appointment_socialIconborderColor', '#fff'); 
$appointmentcontentboxbgColor = get_theme_mod('lz_fitness_appointment_contentboxbgColor', '#262626');
$appointmentcontentboxcornerColor = get_theme_mod('lz_fitness_appointment_contentboxcornerColor', '#262626');
$appointmentformboxbgColor = get_theme_mod('lz_fitness_appointment_formboxbgColor', '#33333');

$custom_css .= '.lz-appointment-heading{color: '.$appointmentHeadingColor.';} 
.appointment-content{color: '. $appointmentTextColor.';}
 .appointment-icon span.fa{color: '. $appointmentIconColor.';}
 .contact-sm-links li a{color: '. $appointmentsocialIconColor.';}
 .contact-sm-links li{border-color: '. $appointmentsocialIconborderColor.';}
.sect-height-appointment-section{background-color: '. $appointmentcontentboxbgColor.';}
.sect-height-appointment-section:after{background-color: '. $appointmentcontentboxcornerColor.';}
.sect-height-appointment-box{background-color: '. $appointmentformboxbgColor.';} ';

	

	//newslatter heading & text color
     $newslatterHeadingColor = get_theme_mod('lz_fitness_newslatter_HeadingColor', '#2b2b2b');
          $newslatterTextColor = get_theme_mod('lz_fitness_newslatter_TextColor', '#424242');

    $custom_css .= '#ht-newslatter-section .ht-section-title{color: '.$newslatterHeadingColor.';} .ht-section-tagline.lz-newslatter-text {color: '.$newslatterTextColor.';}
    ';

    $custom = get_post_custom( $post->ID );

    $image_id = get_post_meta( $post->ID, '_listing_image_id', true );
    $thumbnail_html = wp_get_attachment_image_src( $image_id, 'larger');

    // echo '<pre />'; print_r($custom);
    if(!empty($custom['useColor']) && $custom['useColor'][0]==1){
        if( isset( $custom['page_bg_color'][0] ) ){
            $custom_css .= '#innerpage-box{background-color:'.$custom['page_bg_color'][0].';}';
        }
    }else{
        if( isset( $custom['_listing_image_id'][0]) ){
            $custom_css .= '#innerpage-box{background-image: url(\''.$thumbnail_html[0].'\');background-position: center;background-attachment: fixed;background-origin: content-box;background-size: cover;}';
        }
    }


    $custom_css .='.border{border:1px solid #fff;}';

    return punte_css_strip_whitespace($custom_css);
}