<?php
/**
 *
 * @package LZ Fitness Premium
 */
if(get_theme_mod('lz_fitness_featured_section_disable') != 'on' ){?>
<section id="featured-post-section" class="ht-section">
		<div class="container">
			<div class="wow fadeInUp" data-wow-duration="1s">
				<?php
				$showStatic = true;
				for( $i = 1; $i < 11; $i++ ){
					$lz_fitness_featured_page_id = get_theme_mod('lz_fitness_featured_page_icon'.$i); 
					if(!empty($lz_fitness_featured_page_id)){
						$showStatic = false;
						break;
					}
				}
				$lz_fitness_featured_title = get_theme_mod('lz_fitness_featured_title', 'OUR FEATURES');
				//$lz_fitness_featured_sub_title = get_theme_mod('lz_fitness_featured_sub_title', 'Lorem ipsum dolor sit amet, consectetuer adipiscing elit, sed diam nonummy nibh euismod tincidunt ut laoreet dolore magna aliquam erat volutpat.');
				$lz_fitness_featured_text = get_theme_mod('lz_fitness_featured_text', '<p>Contrary to popular belief, Lorem Ipsum is not simply ram text. It haots in a piece of classical Latin literature from 45 BC, making it over 20 yrs old. Richrd Mlintck, a Latin professor at Hampden Sydney Colleges.</p>');
				?>
				<div class="row">

					
						<div class="ht-section-title-tagline">
							<h2 class="ht-section-title lz-featured-heading">
								<?php
								if(!empty($lz_fitness_featured_title))	{
									echo esc_html($lz_fitness_featured_title);
								} ?>
							</h2> 
						</div>
						<!--	<div class="ht-section-tagline lz-featured-text">
								<?php //if($lz_fitness_featured_sub_title){
									//echo esc_html($lz_fitness_featured_sub_title);
								//}?>
							</div>
						</div>-->
					<div class="clearfix"></div>
				</div>

				<div class="upper-featured">
					<?php 
						$lz_fitness_featured_image = get_theme_mod('lz_fitness_featured_image');
						if(!empty($lz_fitness_featured_image)){
							echo '<img alt="'. esc_html(get_the_title()) .'" src="'.esc_url($lz_fitness_featured_image).'" class="img-responsive" />';
						}else{
							echo '<img alt="About Us" src="'.get_template_directory_uri().'/images/featured-default.png" class="img-responsive aboutbox-img" />';
						}
						?>
					<?php

					if($lz_fitness_featured_text){
						echo $lz_fitness_featured_text;
					}else{
						$args = array(
							'page_id' => absint($lz_fitness_featured_page_id)
						);
						$query = new WP_Query($args);
						$query->the_post();
						echo lz_fitness_excerpt( get_the_content(), 300);  
					}?>

				</div>
				<div class="clearfix"></div>
				<!-- <div class="row"> -->
						<div class="featured-post-wrap">
							<?php
							$cols = get_theme_mod('lz_fitness_featured_npp_count', 1);
							$cols++;
							// echo '$cold: '.$cols;
							switch($cols){
								case 1:
								$colCls = 'col-md-12 col-sm-12';
								break;
								case 2:
								$colCls = 'col-md-6 col-sm-6';
								break;
								case 4:
								case 8:
								case 7:
								case 10:
								case 11:
								case 12:
								$colCls = 'col-md-3 col-sm-6';
								break;

								default: 
								$colCls = 'col-md-4 col-sm-6';
								break;
							}
							$icons = array(1=>'heart', 2=>'star', 3=>'flash', 4=>'bell',5=>'heart', 6=>'star', 7=>'flash', 8=>'bell');
							?>
							<div class="row feature-post-boxes">
								<?php
								for( $i = 1; $i <= $cols; $i++ ){
								if($showStatic === false){
								$lz_fitness_featured_page_title = get_theme_mod('lz_fitness_featured_page_title_'.$i, 'SEDAN CAR DRIVING');
								$lz_fitness_featured_page_desc = get_theme_mod('lz_fitness_featured_page_desc_'.$i, 'Contrary to popular belief, Lorem Ipsum is not simply ram text. It haots in a piece of classical Latin literature from 45 BC, making it over 20 yrs old. Richrd Mlintck, Latin profesor at Hampden Sydney Colleges in Virginias, lokeeopsd ups one.');
								$lz_fitness_featured_page_id = get_theme_mod('lz_fitness_featured_page'.$i);
								$lz_fitness_featured_page_icon = get_theme_mod('lz_fitness_featured_page_icon'.$i);
								if($lz_fitness_featured_page_icon){
								
										?>
										<div class="<?php echo $colCls;?>">	
											<div class="featured-post inside-full-height text-center httitlewrap">	
												<div class="featured-icon">
													<span class="<?php echo $lz_fitness_featured_page_icon; ?>"></span>
												</div>
												<h5><?php echo $lz_fitness_featured_page_title; ?></h5>
												<div class="featured-excerpt"><?php echo $lz_fitness_featured_page_desc; ?></div>														
												<div class="clearfix"></div>
											</div>
										</div>
										<?php
								}	
								}else{?>
								<div class="<?php echo $colCls;?>">
									<div class="featured-post inside-full-height text-center httitlewrap">	
										<div class="featured-icon">
											<span class="fa fa-car"></span></div>
										<h5>SEDAN CAR DRIVING</h5>
										<div class="featured-excerpt">
											Contrary to popular belief, Lorem Ipsum is not simply ram text. It haots in a piece of classical Latin literature from 45 BC, making it over 20 yrs old. Richrd Mlintck, Latin profesor at Hampden Sydney Colleges in Virginias, lokeeopsd ups one.
										</div>														
										<div class="clearfix"></div>
									</div>
								</div>
								<!-- </div> -->
								<?php }

								}?>
								<div class="clearfix"></div>
								</div>
						</div>
					<div class="clearfix"></div>
				<!-- </div> -->
			</div>
		</div>
		<div id="featured-movingCar"></div>
</section>
<script>
	jQuery.noConflict();
	$(function(){
		function httitlewrapHeight(){
			var ht = 0;
			$('#featured-post-section .featured-post h5').each(function(i){
				var tHt = $(this).height();
				if(ht<tHt){
					ht=tHt;
				}
			});
			$('#featured-post-section .featured-post h5').height(ht+'px');
		}
		httitlewrapHeight();
	});
	$( window ).resize(function(){
		httitlewrapHeight();
	});
</script>
<script>
	jQuery.noConflict();
	$(function(){
		function httitlewrapHeight(){
			var ht = 0;
			$('.featured-excerpt').each(function(i){
				var tHt = $(this).height();
				if(ht<tHt){
					ht=tHt;
				}
			});
			$('.featured-excerpt').height(ht+'px');
		}
		httitlewrapHeight();
	});
	$( window ).resize(function(){
		httitlewrapHeight();
	});
</script>
<?php }