<?php
/**
 * The template for displaying all pages.
 *
 * This is the template that displays all pages by default.
 * Please note that this is the WordPress construct of pages
 * and that other 'pages' on your WordPress site may use a
 * different template.
 *
 * @link https://codex.wordpress.org/Template_Hierarchy
 *
 * @package LZ Fitness Premium
 */
get_header(); ?>
<header class="page-main-header">
	<div>
		<?php $image = wp_get_attachment_url( get_post_thumbnail_id($post->ID));?>
		<?php
		//print_r ($post);
			if (!empty($image)){
				echo '<img src="'.$image.'" class="ht-page-header-img" />';
			}
		?>
		<!-- <img src="<?php //echo !empty($image)?$image : get_template_directory_uri().'/images/innerpage.jpg';?>" class="ht-page-header-img" alt="<?php //the_title();?>" /> -->
	</div>
</header><!-- .entry-header -->
<div id="movingCar">
	<div class="container">
		<?php the_title( '<h1 class="ht-main-title">', '</h1>' ); ?>
		<div class="clearfix"></div>
	</div>
</div>

<div class="breadcrumbbox">
	<div class="container">
	    <?php lz_fitness_lite_the_breadcrumb(); ?>
	</div>
</div>

<main id="innerpage-box">
	<div class="container">
		<div id="content-box" class="innerpage-whitebox">
			<?php while ( have_posts() ) : the_post(); ?>
				<?php get_template_part( 'template-parts/content', 'page' ); ?>
				<?php
				// If comments are open or we have at least one comment, load up the comment template.
				if ( comments_open() || get_comments_number() ) :
					comments_template();
				endif;
				?>
			<?php endwhile; // End of the loop. ?>
		</div><!-- #main -->
		<div class="clearfix"></div>
		
		<div class="pagingation">
    		<?php lzGetPagination($query);?>
		</div>
	</div>
</main><!-- #main -->
<?php get_footer(); ?>
