<?php
/**
 *
 * @package LZ Fitness Premium
 */
if(get_theme_mod('lz_fitness_services_section_disable') != 'on' ){?>
<section id="services-post-section" class="ht-section">
	<div class="container">
		<div class="wow fadeInUp" data-wow-duration="1s">
			<?php
			$showStatic = true;
			for( $i = 1; $i < 11; $i++ ){
				$url = get_theme_mod('lz_fitness_services_page_url_'.$i, '#');
				$link = get_theme_mod('lz_fitness_services_page_link'.$i);
				$lz_fitness_services_page_id = get_theme_mod('lz_fitness_services_page_icon'.$i); 
				if(!empty($lz_fitness_services_page_id)){
					$showStatic = false;
					break;
				}
			}
			$lz_fitness_services_title = get_theme_mod('lz_fitness_services_title', 'OUR SERVICES');
			//$lz_fitness_services_sub_title = get_theme_mod('lz_fitness_services_sub_title', 'Lorem ipsum dolor sit amet, consectetuer adipiscing elit, sed diam nonummy nibh euismod tincidunt ut laoreet dolore magna aliquam erat volutpat.');
			?>
			<div class="row">
					<div class="ht-section-title-tagline">
						<h2 class="ht-section-title lz-services-Post-heading">
							<?php
							if(!empty($lz_fitness_services_title))	{
								echo esc_html($lz_fitness_services_title);
							} ?>
						</h2> 
					</div>
					<!--	<div class="ht-section-tagline lz-services-text">
							<?php //if($lz_fitness_services_sub_title){
								//echo esc_html($lz_fitness_services_sub_title);
							//}?>
						</div>
					</div>-->
				<div class="clearfix"></div>
			</div>
			<div class="row">
					<div class="services-post-wrap">
						<?php
						$cols = get_theme_mod('lz_fitness_services_npp_count', 2);
						$cols++;
						// echo '$cold: '.$cols;
						switch($cols){
							case 1:
							$colCls = 'col-md-12 col-sm-12';
							break;
							case 2:
							$colCls = 'col-md-6 col-sm-6';
							break;
							case 4:
							case 8:
							case 7:
							case 10:
							case 11:
							case 12:
							$colCls = 'col-md-3 col-sm-6';
							break;
							default: 
							$colCls = 'col-md-4 col-sm-6';
							break;
						}
						$icons = array(1=>'heart', 2=>'star', 3=>'flash', 4=>'bell',5=>'heart', 6=>'star', 7=>'flash', 8=>'bell');
						?>
						<div class="row services-post-boxes">
							<?php
							for( $i = 1; $i <= $cols; $i++ ){
									if($showStatic === false){
										$url = get_theme_mod('lz_fitness_services_page_url_'.$i, '#');
										
										$lz_fitness_services_page_title = get_theme_mod('lz_fitness_services_page_title'.$i, 'VIDEO CLASSES');
										$lz_fitness_services_page_description = get_theme_mod('lz_fitness_services_page_description'.$i, 'Contrary to popular belief, Lorem Ipsum is not simply ram text. It haots in a piece of classical Latin literature from 45 BC, making it over 20 yrs old. Richrd Mlintck, a Latin professor at Hampden Sydney Colleges in Virginias, lokeeopsd ups one.');
										$lz_fitness_services_page_id = get_theme_mod('lz_fitness_services_page'.$i); 
										$lz_fitness_services_page_icon = get_theme_mod('lz_fitness_services_page_icon'.$i);
										if($lz_fitness_services_page_icon){
											
										?>
										<div class="<?php echo $colCls;?>">
											<div class="services-post text-center">
												<div class="services-icon">
													<!-- <a href="<?php //echo esc_url(!empty($url)?$url:'#');?>"> -->
														<img src="<?php echo esc_url($lz_fitness_services_page_icon); ?>" class="img-responcive" />
													<!-- </a> -->
												</div>
												<div class="services-data text-center">
													<h5><?php echo $lz_fitness_services_page_title; ?></h5>
													<div class="services-excerpt">
														<?php echo $lz_fitness_services_page_description; ?>
													</div>	
													<?php
													$lz_fitness_services_page_id = get_theme_mod('lz_fitness_services_page');
													$lz_fitness_services_page_button_title = get_theme_mod('lz_fitness_services_page_button_title_'.$i, 'Read More');
													?>
													<?php if($lz_fitness_services_page_button_title){ ?>
													<div class="services-readmore">
														<a class="btn" href="<?php echo esc_url(!empty($url)?$url:'#');?>"><?php echo $lz_fitness_services_page_button_title; ?>
														</a>
													</div>
													<?php } ?>
												</div>
												<div class="clearfix"></div>
											</div>
										</div>
										<?php
												
										}
									}else{?>
										<div class="<?php echo $colCls;?>">
											<div class="services-post text-center">
												<div class="services-icon">
												<img src="<?php echo esc_html(get_template_directory_uri()); ?>/images/services-default.jpg" class="img-responsive" />
												</div>
												<div class="services-data text-center">
													<h5>VIDEO CLASSES</h5>
													<div class="services-excerpt">
														Contrary to popular belief, Lorem Ipsum is not simply ram text. It haots in a piece of classical Latin literature from 45 BC, making it over 20 yrs old. Richrd Mlintck, a Latin professor at Hampden Sydney Colleges in Virginias, lokeeopsd ups one.
													</div>										
													<div class="services-readmore">
														<a class="btn" href="#"> Read More </a>
													</div>
												</div>
												<div class="clearfix"></div>						
											</div>
										</div>
									<?php }

							}?>
							<div class="clearfix"></div>
						</div>
					</div>
				<div class="clearfix"></div>
			</div>
		</div>
	</div>
	<div class="clearfix"></div>
</section>
<?php }